# `FirebirdConnection`

The FirebirdConnection class is accessible via the `sqlobject.firebird.firebirdconnection` module.

## Attributes

#### a `supportTransactions`

    False

#### a `limit_re`

    <_sre.SRE_Pattern object at 0xa20ccd0>

#### a `schemes`

    ['firebird']

#### a `dbName`

    'firebird'

## Methods

#### f `__init__(self, host, db, port='3050', user='sysdba', password='masterkey', autoCommit=1, dialect=None, role=None, charset=None, **kw)` ...

#### f `makeConnection(self)` ...

#### f `createTable(self, soClass)` ...

#### f `createReferenceConstraint(self, soClass, col)` ...

#### f `createColumn(self, soClass, col)` ...

#### f `createIDColumn(self, soClass)` ...

#### f `createIndexSQL(self, soClass, index)` ...

#### f `joinSQLType(self, join)` ...

#### f `tableExists(self, tableName)` ...

#### f `addColumn(self, tableName, column)` ...

#### f `dropTable(self, tableName, cascade=False)` ...

#### f `delColumn(self, sqlmeta, column)` ...

#### f `readDefaultEncodingFromDB(self)` ...

#### f `columnsFromSchema(self, tableName, soClass)` ...

Look at the given table and create Col instances (or subclasses of Col) for the fields it finds in that table.

#### f `guessClass(self, t, flength, fCharset, fscale=None)` ...

An internal method that tries to figure out what Col subclass is appropriate given whatever introspective information is available -- both very database-specific.

#### f `createEmptyDatabase(self)` ...

#### f `dropDatabase(self)` ...

#### f `__del__(self)` ...

See the source for more information.